Package com.xmlmind.assembly

## Enum Linking

- java.lang.Object
- - java.lang.Enum<Linking>
  - - com.xmlmind.assembly.Linking

- All Implemented Interfaces:
    `Serializable`, `Comparable<Linking>`

      public enum Linking
      extends Enum<Linking>

  Not part of the public, documented, API: representation of attribute `<instance>/@linking`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NONE` |
    `NORMAL` |
    `SOURCE_ONLY` |
    `TARGET_ONLY` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Linking` | `fromString​(String spec)` |
    `String` | `toString()` |
    `static Linking` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Linking[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TARGET_ONLY

          public static final Linking TARGET_ONLY

    - #### SOURCE_ONLY

          public static final Linking SOURCE_ONLY

    - #### NORMAL

          public static final Linking NORMAL

    - #### NONE

          public static final Linking NONE

  - ### Method Detail

    - #### values

          public static Linking[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Linking c : Linking.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Linking valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromString

          public static Linking fromString​(String spec)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Linking>`